Bug 185715 - audio/csound: Update to version 5.19.01
Summary: audio/csound: Update to version 5.19.01
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Danilo Egea Gondolfo
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-01-12 18:40 UTC by tkato432
Modified: 2014-01-23 23:20 UTC (History)
0 users

See Also:


Attachments
file.diff (38.05 KB, patch)
2014-01-12 18:40 UTC, tkato432
no flags Details | Diff
audio_csound.diff (38.04 KB, patch)
2014-01-17 15:58 UTC, tkato432
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description tkato432 2014-01-12 18:40:09 UTC
- Update to version 5.19.01

Remove file:
files/patch-H__sysdep.h
Comment 1 Danilo Egea Gondolfo freebsd_committer 2014-01-16 20:43:41 UTC
Responsible Changed
From-To: freebsd-ports-bugs->danilo

I'll take it.
Comment 2 tkato432 2014-01-17 15:58:08 UTC
Remake of the patch against current tree.
Comment 3 dfilter service freebsd_committer 2014-01-23 23:09:54 UTC
Author: danilo
Date: Thu Jan 23 23:09:44 2014
New Revision: 340868
URL: http://svnweb.freebsd.org/changeset/ports/340868
QAT: https://qat.redports.org/buildarchive/r340868/

Log:
  - Update from 5.18.02 to 5.19.01
  - Convert USE_SCONS to USES
  
  PR:		ports/185715
  Submitted by:	KATO Tsuguru <tkato432@yahoo.com>

Deleted:
  head/audio/csound/files/patch-H__sysdep.h
Modified:
  head/audio/csound/Makefile
  head/audio/csound/distinfo
  head/audio/csound/files/custom.py.in
  head/audio/csound/files/patch-InOut-rtalsa.c
  head/audio/csound/files/patch-Top-csound.c
  head/audio/csound/pkg-plist

Modified: head/audio/csound/Makefile
==============================================================================
--- head/audio/csound/Makefile	Thu Jan 23 22:52:32 2014	(r340867)
+++ head/audio/csound/Makefile	Thu Jan 23 23:09:44 2014	(r340868)
@@ -2,28 +2,27 @@
 # $FreeBSD$
 
 PORTNAME=	csound
-PORTVERSION=	5.18.02
-PORTREVISION=	1
+PORTVERSION=	5.19.01
 CATEGORIES=	audio lang
-MASTER_SITES=	SF/${PORTNAME}/${PORTNAME}5/${PORTNAME}5.18/ \
+MASTER_SITES=	SF/${PORTNAME}/${PORTNAME}5/${PORTNAME}${PORTVERSION:R} \
 		SF/${PORTNAME}/${PORTNAME}5/${PORTNAME}${PORTVERSION:R}/manual:manual
-DISTNAME=	${PORTNAME:S/c/C/}${PORTVERSION}
-DISTFILES=	${DISTNAME}${EXTRACT_SUFX}
-EXTRACT_ONLY=	${DISTNAME}${EXTRACT_SUFX}
+DISTFILES=	${PORTNAME:S/c/C/}${PORTVERSION}${EXTRACT_SUFX} \
+		${CSOUND_DOCS:S/$/:manual/}
+DIST_SUBDIR=	csound
 
 MAINTAINER=	ports@FreeBSD.org
 COMMENT=	Sound synthesizer
 
 LICENSE=	LGPL21
 
-DIST_SUBDIR=	csound
-BUILD_DEPENDS=	${LOCALBASE}/bin/swig:${PORTSDIR}/devel/swig13 \
-		${LOCALBASE}/include/gmm/gmm.h:${PORTSDIR}/math/gmm++ \
-		${LOCALBASE}/bin/flex:${PORTSDIR}/textproc/flex
+BUILD_DEPENDS=	swig13>0:${PORTSDIR}/devel/swig13 \
+		eigen>0:${PORTSDIR}/math/eigen3 \
+		gmm++>0:${PORTSDIR}/math/gmm++
 LIB_DEPENDS=	libsndfile.so:${PORTSDIR}/audio/libsndfile
 
-OPTIONS_DEFINE=	ALSA DSSI FLUIDSYNTH JACK OSC PORTAUDIO PULSEAUDIO FLTK
+OPTIONS_DEFINE=	ALSA DSSI FLTK FLUIDSYNTH JACK OSC PORTAUDIO PULSEAUDIO
 OPTIONS_DEFAULT=FLTK
+OPTIONS_SUB=	yes
 ALSA_DESC=	Build ALSA I/O module
 DSSI_DESC=	Build DSSI/LADSPA host opcodes
 FLUIDSYNTH_DESC=Building FluidSynth opcodes
@@ -33,21 +32,24 @@ PORTAUDIO_DESC=	Build the PortAudio I/O 
 PULSEAUDIO_DESC=Build the PulseAudio I/O module
 FLTK_DESC=	Build FLTK plugin and GUI
 
-CONFLICTS_INSTALL=	outguess-*
+CONFLICTS_INSTALL=	outguess-* csound6
 
-SSP_UNSAFE=	yes
+WRKSRC=		${WRKDIR}/${PORTNAME:S/c/C/}${PORTVERSION}
+
+USES=		bison gettext scons
 USE_PYTHON=	yes
-USES=		bison gettext
-NO_STAGE=	yes
-USE_SCONS=	yes
-SCONS_BUILDENV=	PATH=${LOCALBASE}/bin:$$PATH
-SCONS_ARGS=	prefix="${PREFIX}" CC="${CC}" CXX="${CXX}" \
-		CFLAGS="${CFLAGS}" CXXFLAGS="${CXXFLAGS}" \
+USE_GCC=	yes
+MAKE_ARGS=	instdir="${STAGEDIR}" prefix="${PREFIX}" \
+		CC="${CC}" CXX="${CXX}" \
 		buildCsoundAC=0 buildCsoundVST=0 buildInterfaces=1 \
 		buildRelease=1 buildVirtual=1 dynamicCsoundLibrary=1 \
 		install=1 noDebug=1 useDouble=1 \
 		useGettext=1 usePortMIDI=0
 USE_LDCONFIG=	yes
+SSP_UNSAFE=	yes
+
+CFLAGS+=	-fPIC -fopenmp -DUSE_OPENMP
+LDFLAGS+=	-pthread -Wl,-export-dynamic
 
 SUB_FILES=	pkg-message
 
@@ -55,105 +57,94 @@ SUB_FILES=	pkg-message
 
 .if ${PORT_OPTIONS:MALSA}
 LIB_DEPENDS+=	libasound.so:${PORTSDIR}/audio/alsa-lib
-SCONS_ARGS+=	useALSA=1
-PLIST_SUB+=	ALSA=""
+MAKE_ARGS+=	useALSA=1
 ALSA_H=		alsa/asoundlib.h
 .else
-SCONS_ARGS+=	useALSA=0
-PLIST_SUB+=	ALSA="@comment "
+MAKE_ARGS+=	useALSA=0
 ALSA_H=		##alsa/asoundlib.h##
 .endif
 
 .if ${PORT_OPTIONS:MDSSI}
 BUILD_DEPENDS+=	dssi>=0:${PORTSDIR}/audio/dssi
 RUN_DEPENDS+=	dssi>=0:${PORTSDIR}/audio/dssi
-SCONS_ARGS+=	buildDSSI=1
-PLIST_SUB+=	DSSI=""
+MAKE_ARGS+=	buildDSSI=1
 .else
-SCONS_ARGS+=	buildDSSI=0
-PLIST_SUB+=	DSSI="@comment "
+MAKE_ARGS+=	buildDSSI=0
 .endif
 
 .if ${PORT_OPTIONS:MFLUIDSYNTH}
 LIB_DEPENDS+=	libfluidsynth.so:${PORTSDIR}/audio/fluidsynth
-PLIST_SUB+=	FLUIDSYNTH=""
 FLUIDSYNTH_H=	fluidsynth.h
 .else
-PLIST_SUB+=	FLUIDSYNTH="@comment "
 FLUIDSYNTH_H=	##fluidsynth.h##
 .endif
 
 .if ${PORT_OPTIONS:MJACK}
 LIB_DEPENDS+=	libjack.so:${PORTSDIR}/audio/jack
-SCONS_ARGS+=	useJack=1
-PLIST_SUB+=	JACK=""
+MAKE_ARGS+=	useJack=1
 .else
-SCONS_ARGS+=	useJack=0
-PLIST_SUB+=	JACK="@comment "
+MAKE_ARGS+=	useJack=0
 .endif
 
 .if ${PORT_OPTIONS:MOSC}
 LIB_DEPENDS+=	liblo.so:${PORTSDIR}/audio/liblo
-SCONS_ARGS+=	useOSC=1
-PLIST_SUB+=	OSC=""
+MAKE_ARGS+=	useOSC=1
 .else
-SCONS_ARGS+=	useOSC=0
-PLIST_SUB+=	OSC="@comment "
+MAKE_ARGS+=	useOSC=0
 .endif
 
 .if ${PORT_OPTIONS:MPORTAUDIO}
 BUILD_DEPENDS+=	portaudio2>=0:${PORTSDIR}/audio/portaudio2
 RUN_DEPENDS+=	portaudio2>=0:${PORTSDIR}/audio/portaudio2
-SCONS_ARGS+=	usePortAudio=1
-PLIST_SUB+=	PORTAUDIO=""
+MAKE_ARGS+=	usePortAudio=1
 PORTAUDIO_L=	"${LOCALBASE}/lib/portaudio2"
 PORTAUDIO_R=	"-Wl,-rpath,${LOCALBASE}/lib/portaudio2"
 .else
-SCONS_ARGS+=	usePortAudio=0
-PLIST_SUB+=	PORTAUDIO="@comment "
+MAKE_ARGS+=	usePortAudio=0
 PORTAUDIO_L=	# empty
 PORTAUDIO_R=	# empty
 .endif
 
 .if ${PORT_OPTIONS:MPULSEAUDIO}
 LIB_DEPENDS+=	libpulse-simple.so:${PORTSDIR}/audio/pulseaudio
-PLIST_SUB+=	PULSEAUDIO=""
 PULSEAUDIO_H=	pulse/simple.h
 .else
-PLIST_SUB+=	PULSEAUDIO="@comment "
 PULSEAUDIO_H=	##pulse/simple.h##
 .endif
 
 .if ${PORT_OPTIONS:MFLTK}
 LIB_DEPENDS+=	libfltk.so:${PORTSDIR}/x11-toolkits/fltk
-PLIST_SUB+=	FLTK=""
-SCONS_ARGS+=	buildCsound5GUI=1 buildCSEditor=1 buildWinsound=1 useFLTK=1
+MAKE_ARGS+=	buildCsound5GUI=1 buildCSEditor=1 buildWinsound=1 useFLTK=1
 .else
-PLIST_SUB+=	FLTK="@comment "
-SCONS_ARGS+=	buildCsound5GUI=0 buildCSEditor=0 buildWinsound=0 useFLTK=0
+MAKE_ARGS+=	buildCsound5GUI=0 buildCSEditor=0 buildWinsound=0 useFLTK=0
 .endif
 
 .if ${PORT_OPTIONS:MDOCS}
-EXTRACT_DEPENDS+=${LOCALBASE}/bin/unzip:${PORTSDIR}/archivers/unzip
-DISTFILES+=	Csound${PORTVERSION:R}_manual_html.zip:manual
+CSOUND_DOCS=	Csound${PORTVERSION:R}_manual_html.zip
 .endif
 
+.include <bsd.port.pre.mk>
+
 .if ${ARCH} == amd64 || ${ARCH} == sparc64 || ${ARCH} == ia64
-CMAKE_ARGS+=	Word64=1
+MAKE_ARGS+=	Word64=1
 .endif
 
-post-extract:
-.if ${PORT_OPTIONS:MDOCS}
-	@(cd ${DISTDIR}/${DIST_SUBDIR} && ${UNZIP_CMD} -qo \
-		Csound${PORTVERSION:R}_manual_html.zip -d ${WRKDIR})
+.if ${OSVERSION} < 1000033
+BUILD_DEPENDS+=	flex>0:${PORTSDIR}/textproc/flex
+MAKE_ENV+=	PATH=${LOCALBASE}/bin:$$PATH
+.endif
+
+.if ${OSVERSION} >= 1000054
+CXXLIB=		c++
+.else
+CXXLIB=		# empty
 .endif
 
 post-patch:
 	@${SED} -e "s|%%LOCALBASE%%|${LOCALBASE}|g; \
 		s|%%PYTHON_INCLUDEDIR%%|${PYTHON_INCLUDEDIR}|; \
 		s|%%PORTAUDIO_L%%|${PORTAUDIO_L}|; \
-		s|%%PORTAUDIO_R%%|${PORTAUDIO_R}|; \
-		s|%%PTHREAD_LIBS%%|${PTHREAD_LIBS}|" \
+		s|%%PORTAUDIO_R%%|${PORTAUDIO_R}|" \
 		< ${FILESDIR}/custom.py.in > ${WRKSRC}/custom.py
 	@${REINPLACE_CMD} -e "s|'unsupported'|'linux'|; \
 		s|Exit(-1)|print \"\"|; \
@@ -161,7 +152,8 @@ post-patch:
 		/CXXFLAGS/s|\['-Wno-format'\]|Split('${CXXFLAGS}')|; \
 		s|/usr/local|${LOCALBASE}|; \
 		s|/usr/X11R6|${LOCALBASE}|; \
-		/\"pthread\"/d; \
+		/LINKFLAGS/s|\['-Wl,-Bdynamic'\]|Split('${LDFLAGS}')|; \
+		s|\"pthread\"|\"\"|; \
 		s|'pthread'|''|; \
 		s|\"portaudio.h\"|\"portaudio2/portaudio.h\"|; \
 		s|\"boost/any.hpp\"|\"##boost/any.hpp##\"|; \
@@ -172,29 +164,21 @@ post-patch:
 		s|\"tcl.h\"|\"##tcl.h##\"|; \
 		s|'5.2'|'5'|; \
 		s|'dl'|''|; \
-		s|'stdc++'|''|; \
-		s|'-DNO_FLTK_THREADS'|''|; \
+		s|'stdc++'|'${CXXLIB}'|; \
+		/linuxjoystick/s|^.*|    print \"\"|; \
 		s|\"fluidsynth.h\"|\"${FLUIDSYNTH_H}\"|; \
 		/mixer_main.c/s|'mixer'|'csmixer'|; \
 		/jpluginEnvironment/s|'asound'|''|; \
 		/portaudioEnvironment/s|'asound'|''|; \
-		/jackEnvironment/s|'asound'|''|; \
-		s| stdc++ | |; \
-		s| pthread | |" ${WRKSRC}/SConstruct
+		/jackEnvironment/s|'asound'|''|" ${WRKSRC}/SConstruct
 	@${REINPLACE_CMD} -e "s|<portaudio.h>|<portaudio2/portaudio.h>|" \
 		${WRKSRC}/InOut/rtpa.c
 	@${REINPLACE_CMD} -e "s|linux/if.h|sys/types.h|" \
 		${WRKSRC}/OOps/remote.c
-	@${REINPLACE_CMD} '1658,1659d' \
-		${WRKSRC}/SConstruct
+
 post-install:
-	@${LN} -sf libcsound64.so.5 ${PREFIX}/lib/libcsound64.so
-.if ${PORT_OPTIONS:MDOCS}
-	@${MKDIR} ${DOCSDIR}
-	@${ECHO_MSG} " Installing manual ${PORTVERSION}. "
-	@(cd ${WRKDIR}/html && ${COPYTREE_SHARE} . ${DOCSDIR})
-	@${ECHO_MSG} " Done."
-.endif
-	@${CAT} ${PKGMESSAGE}
+	${LN} -sf libcsound64.so.5 ${STAGEDIR}${PREFIX}/lib/libcsound64.so
+	@${MKDIR} ${STAGEDIR}${DOCSDIR}
+	(cd ${WRKDIR}/html && ${COPYTREE_SHARE} . ${STAGEDIR}${DOCSDIR})
 
-.include <bsd.port.mk>
+.include <bsd.port.post.mk>

Modified: head/audio/csound/distinfo
==============================================================================
--- head/audio/csound/distinfo	Thu Jan 23 22:52:32 2014	(r340867)
+++ head/audio/csound/distinfo	Thu Jan 23 23:09:44 2014	(r340868)
@@ -1,4 +1,4 @@
-SHA256 (csound/Csound5.18.02.tar.gz) = 4c461cf3bf60b83671224949dd33805379b7121bf2c0ad6af5e191e7f6f8adc8
-SIZE (csound/Csound5.18.02.tar.gz) = 9211491
-SHA256 (csound/Csound5.18_manual_html.zip) = a7347bb1a6b5af3497de95a2df36217a6a42219e2f36a3d6d505cd53b2719cd4
-SIZE (csound/Csound5.18_manual_html.zip) = 9773269
+SHA256 (csound/Csound5.19.01.tar.gz) = c918fbdfa7a65cefd080966ba4b44aadb2e36f80c83a5714efb5a9c76532111d
+SIZE (csound/Csound5.19.01.tar.gz) = 9302526
+SHA256 (csound/Csound5.19_manual_html.zip) = ba198155bee31cfe27e54ba313453bf100af8f22cc57b7dbcd4edbfe8fb99af5
+SIZE (csound/Csound5.19_manual_html.zip) = 9860517

Modified: head/audio/csound/files/custom.py.in
==============================================================================
--- head/audio/csound/files/custom.py.in	Thu Jan 23 22:52:32 2014	(r340867)
+++ head/audio/csound/files/custom.py.in	Thu Jan 23 23:09:44 2014	(r340868)
@@ -7,6 +7,6 @@ customCCFLAGS = [  ]
 customCXXFLAGS = [ ]
 customLIBS = [ 'intl' ]
 customLIBPATH = [ '%%PORTAUDIO_L%%', '%%LOCALBASE%%/lib' ]
-customSHLINKFLAGS = [ '%%PORTAUDIO_R%%', '%%PTHREAD_LIBS%%' ]
+customSHLINKFLAGS = [ '%%PORTAUDIO_R%%' ]
 customSWIGFLAGS = []
 platform = 'linux'

Modified: head/audio/csound/files/patch-InOut-rtalsa.c
==============================================================================
--- head/audio/csound/files/patch-InOut-rtalsa.c	Thu Jan 23 22:52:32 2014	(r340867)
+++ head/audio/csound/files/patch-InOut-rtalsa.c	Thu Jan 23 23:09:44 2014	(r340868)
@@ -1,18 +1,12 @@
 --- InOut/rtalsa.c.orig	2011-12-22 19:41:53.000000000 +0900
 +++ InOut/rtalsa.c	2011-12-27 23:53:00.000000000 +0900
-@@ -22,6 +22,7 @@
-     02111-1307 USA
- */
- 
-+/*
- #ifndef _ISOC99_SOURCE
- #define _ISOC99_SOURCE 1
- #endif
-@@ -35,6 +36,7 @@
- #ifndef _POSIX_C_SOURCE
- #define _POSIX_C_SOURCE 1
- #endif
-+*/
+@@ -35,9 +35,6 @@
+ /* #ifndef _BSD_SOURCE */
+ /* #define _BSD_SOURCE 1 */
+ /* #endif */
+-#include <alloca.h>
+-#include <termios.h>
+-#include <unistd.h>
  
  #include "csdl.h"
  

Modified: head/audio/csound/files/patch-Top-csound.c
==============================================================================
--- head/audio/csound/files/patch-Top-csound.c	Thu Jan 23 22:52:32 2014	(r340867)
+++ head/audio/csound/files/patch-Top-csound.c	Thu Jan 23 23:09:44 2014	(r340868)
@@ -1,12 +1,12 @@
 --- Top/csound.c.orig	2011-10-16 22:59:03.000000000 +0900
 +++ Top/csound.c	2011-12-07 01:15:33.000000000 +0900
-@@ -67,11 +67,14 @@
+@@ -70,11 +70,14 @@
+  **** MAJOR PROBLEM: PTHREAD_SPINLOCK_INITIALIZER is not defined in
+       Linux or Haiku */
  
-   /* **** MAJOR PROBLEM: PTHREAD_SPINLOCK_INITIALIZER is not defined in Linux */
- 
--#ifdef linux
-+#if defined(linux) || defined(__FreeBSD__)
-   #define PTHREAD_SPINLOCK_INITIALIZER 0
+-#if defined(linux) || defined(__HAIKU__)
++#if defined(linux) || defined(__HAIKU__) || defined(__FreeBSD__)
+ #define PTHREAD_SPINLOCK_INITIALIZER 0
  #endif
  #endif /* PARCS */
  
@@ -16,50 +16,49 @@
  #if defined(USE_OPENMP)
  #include <omp.h>
  #endif /* USE_OPENMP */
-@@ -383,7 +386,7 @@
-     0.0,            /*  curBeat             */
-     0.0,            /*  curBeat_inc         */
-     0.0,            /*  beatTime            */
--#if defined(HAVE_PTHREAD_SPIN_LOCK) && defined(PARCS)
-+#if defined(__GNUC__) && defined(HAVE_PTHREAD_SPIN_LOCK) && defined(PARCS)
-     PTHREAD_SPINLOCK_INITIALIZER,              /*  spoutlock           */
-     PTHREAD_SPINLOCK_INITIALIZER,              /*  spinlock            */
+@@ -430,7 +433,7 @@
+     NULL,           /*  csRandState         */
+     0,              /*  randSeed1           */
+     0,              /*  randSeed2           */
+-#if defined(HAVE_PTHREAD_SPIN_LOCK) && (defined(PARCS))
++#if defined(__GNUC__) && defined(HAVE_PTHREAD_SPIN_LOCK) && (defined(PARCS))
+     PTHREAD_SPINLOCK_INITIALIZER,              /*  memlock           */
  #else
-@@ -2854,7 +2857,7 @@
-   /* ------------------------------------ */
+     0,              /*  memlock             */
+@@ -2914,7 +2917,7 @@
+ /* ------------------------------------ */
  
  #if defined(HAVE_RDTSC)
 -#if !(defined(LINUX) && defined(__GNUC__) && defined(__i386__))
-+#if !(defined(LINUX) && defined(__GNUC__) && defined(__i386__)) || !(defined(__FreeBSD__) && defined(__i386__))
++#if !(defined(LINUX) && defined(__GNUC__) && defined(__i386__)) || !(defined(LINUX) && defined(__i386__))
  #undef HAVE_RDTSC
  #endif
  #endif
-@@ -2867,6 +2870,13 @@
-   static int getTimeResolution(void)
-   {
+@@ -2927,6 +2930,12 @@
+ static int getTimeResolution(void)
+ {
  #if defined(HAVE_RDTSC)
 +#if defined(__FreeBSD__)
-+      size_t size;
-+      int timeResolutionSeconds;
-+      size = sizeof timeResolutionSeconds;
-+      sysctlbyname("hw.clockrate", &timeResolutionSeconds, &size, NULL, 0);
-+
++    size_t size;
++    int timeResolutionSeconds;
++    size = sizeof timeResolutionSeconds;
++    sysctlbyname("hw.clockrate", &timeResolutionSeconds, &size, NULL, 0);
 +#else
-       FILE    *f;
-       char    buf[256];
+     FILE    *f;
+     char    buf[256];
  
-@@ -2923,9 +2933,14 @@
-         }
+@@ -2967,9 +2976,14 @@
        }
-       fclose(f);
+     }
+     fclose(f);
 +#endif /* __FreeBSD__ */
-       if (UNLIKELY(timeResolutionSeconds <= 0.0)) {
-         fprintf(stderr, Str("No valid CPU frequency entry "
+     if (UNLIKELY(timeResolutionSeconds <= 0.0)) {
+       fprintf(stderr, Str("No valid CPU frequency entry "
 +#if defined(__FreeBSD__)
-+                            "was found.\n"));
++                          "was found.\n"));
 +#else
-                             "was found in /proc/cpuinfo.\n"));
+                           "was found in /proc/cpuinfo.\n"));
 +#endif /* __FreeBSD__ */
-         return -1;
-       }
-       /* MHz -> seconds */
+       return -1;
+     }
+     /* MHz -> seconds */

Modified: head/audio/csound/pkg-plist
==============================================================================
--- head/audio/csound/pkg-plist	Thu Jan 23 22:52:32 2014	(r340867)
+++ head/audio/csound/pkg-plist	Thu Jan 23 23:09:44 2014	(r340868)
@@ -41,6 +41,7 @@ include/csound/csoundCore.h
 include/csound/cwindow.h
 include/csound/filebuilding.h
 include/csound/float-version.h
+include/csound/interlocks.h
 include/csound/msg_attr.h
 include/csound/pstream.h
 include/csound/pvfileio.h
@@ -48,8 +49,6 @@ include/csound/soundio.h
 include/csound/sysdep.h
 include/csound/text.h
 include/csound/version.h
-include/csound/interlocks.h
-lib/csound/plugins64/libplaterev.so
 lib/csound/plugins64/libampmidid.so
 lib/csound/plugins64/libcellular.so
 lib/csound/plugins64/libcontrol.so
@@ -60,11 +59,13 @@ lib/csound/plugins64/libfareygen.so
 %%FLUIDSYNTH%%lib/csound/plugins64/libfluidOpcodes.so
 lib/csound/plugins64/libfractalnoise.so
 lib/csound/plugins64/libimage.so
+lib/csound/plugins64/libipmidi.so
 %%JACK%%lib/csound/plugins64/libjackTransport.so
 %%JACK%%lib/csound/plugins64/libjacko.so
 lib/csound/plugins64/liblinear_algebra.so
 lib/csound/plugins64/libmixer.so
 %%OSC%%lib/csound/plugins64/libosc.so
+lib/csound/plugins64/libplaterev.so
 %%ALSA%%lib/csound/plugins64/librtalsa.so
 %%JACK%%lib/csound/plugins64/librtjack.so
 %%PORTAUDIO%%lib/csound/plugins64/librtpa.so
@@ -128,6 +129,8 @@ lib/libcsound64.so.5
 %%PORTDOCS%%%%DOCSDIR%%/CscoreMain.html
 %%PORTDOCS%%%%DOCSDIR%%/CscoreTop.html
 %%PORTDOCS%%%%DOCSDIR%%/CsoundLinks.html
+%%PORTDOCS%%%%DOCSDIR%%/DeprecatedGensRef.html
+%%PORTDOCS%%%%DOCSDIR%%/DeprecatedTop.html
 %%PORTDOCS%%%%DOCSDIR%%/FLbox.html
 %%PORTDOCS%%%%DOCSDIR%%/FLbutBank.html
 %%PORTDOCS%%%%DOCSDIR%%/FLbutton.html
@@ -240,6 +243,7 @@ lib/libcsound64.so.5
 %%PORTDOCS%%%%DOCSDIR%%/GENfarey.html
 %%PORTDOCS%%%%DOCSDIR%%/GENsone.html
 %%PORTDOCS%%%%DOCSDIR%%/GENtanh.html
+%%PORTDOCS%%%%DOCSDIR%%/GENwave.html
 %%PORTDOCS%%%%DOCSDIR%%/ImageopcodesTop.html
 %%PORTDOCS%%%%DOCSDIR%%/Introduction.html
 %%PORTDOCS%%%%DOCSDIR%%/JackoAudioIn.html
@@ -347,6 +351,7 @@ lib/libcsound64.so.5
 %%PORTDOCS%%%%DOCSDIR%%/STKSimple.html
 %%PORTDOCS%%%%DOCSDIR%%/STKSitar.html
 %%PORTDOCS%%%%DOCSDIR%%/STKStifKarp.html
+%%PORTDOCS%%%%DOCSDIR%%/STKTop.html
 %%PORTDOCS%%%%DOCSDIR%%/STKTubeBell.html
 %%PORTDOCS%%%%DOCSDIR%%/STKVoicForm.html
 %%PORTDOCS%%%%DOCSDIR%%/STKWhistle.html
@@ -486,6 +491,7 @@ lib/libcsound64.so.5
 %%PORTDOCS%%%%DOCSDIR%%/ceil.html
 %%PORTDOCS%%%%DOCSDIR%%/cell.html
 %%PORTDOCS%%%%DOCSDIR%%/cent.html
+%%PORTDOCS%%%%DOCSDIR%%/centroid.html
 %%PORTDOCS%%%%DOCSDIR%%/cggoto.html
 %%PORTDOCS%%%%DOCSDIR%%/chanctrl.html
 %%PORTDOCS%%%%DOCSDIR%%/changed.html
@@ -513,6 +519,7 @@ lib/libcsound64.so.5
 %%PORTDOCS%%%%DOCSDIR%%/clockon.html
 %%PORTDOCS%%%%DOCSDIR%%/cngoto.html
 %%PORTDOCS%%%%DOCSDIR%%/comb.html
+%%PORTDOCS%%%%DOCSDIR%%/combinv.html
 %%PORTDOCS%%%%DOCSDIR%%/compress.html
 %%PORTDOCS%%%%DOCSDIR%%/connect.html
 %%PORTDOCS%%%%DOCSDIR%%/contents.html
@@ -525,6 +532,9 @@ lib/libcsound64.so.5
 %%PORTDOCS%%%%DOCSDIR%%/cos.html
 %%PORTDOCS%%%%DOCSDIR%%/cosh.html
 %%PORTDOCS%%%%DOCSDIR%%/cosinv.html
+%%PORTDOCS%%%%DOCSDIR%%/cosseg.html
+%%PORTDOCS%%%%DOCSDIR%%/cossegb.html
+%%PORTDOCS%%%%DOCSDIR%%/cossegr.html
 %%PORTDOCS%%%%DOCSDIR%%/cps2pch.html
 %%PORTDOCS%%%%DOCSDIR%%/cpsmidi.html
 %%PORTDOCS%%%%DOCSDIR%%/cpsmidib.html
@@ -678,6 +688,7 @@ lib/libcsound64.so.5
 %%PORTDOCS%%%%DOCSDIR%%/examples/HRTFcompact
 %%PORTDOCS%%%%DOCSDIR%%/examples/JackoInfo.csd
 %%PORTDOCS%%%%DOCSDIR%%/examples/JackoInit.csd
+%%PORTDOCS%%%%DOCSDIR%%/examples/Mixer.csd
 %%PORTDOCS%%%%DOCSDIR%%/examples/OSCmidircv.csd
 %%PORTDOCS%%%%DOCSDIR%%/examples/OSCmidisend.csd
 %%PORTDOCS%%%%DOCSDIR%%/examples/PartikkelExample1.csd
@@ -708,6 +719,7 @@ lib/libcsound64.so.5
 %%PORTDOCS%%%%DOCSDIR%%/examples/STKVoicForm.csd
 %%PORTDOCS%%%%DOCSDIR%%/examples/STKWhistle.csd
 %%PORTDOCS%%%%DOCSDIR%%/examples/STKWurley.csd
+%%PORTDOCS%%%%DOCSDIR%%/examples/a.csd
 %%PORTDOCS%%%%DOCSDIR%%/examples/abs.csd
 %%PORTDOCS%%%%DOCSDIR%%/examples/active.csd
 %%PORTDOCS%%%%DOCSDIR%%/examples/active_k.csd
@@ -731,6 +743,7 @@ lib/libcsound64.so.5
 %%PORTDOCS%%%%DOCSDIR%%/examples/atone.csd
 %%PORTDOCS%%%%DOCSDIR%%/examples/atonek.csd
 %%PORTDOCS%%%%DOCSDIR%%/examples/atonex.csd
+%%PORTDOCS%%%%DOCSDIR%%/examples/b.csd
 %%PORTDOCS%%%%DOCSDIR%%/examples/babo.csd
 %%PORTDOCS%%%%DOCSDIR%%/examples/babo_expert.csd
 %%PORTDOCS%%%%DOCSDIR%%/examples/balance.csd
@@ -762,6 +775,7 @@ lib/libcsound64.so.5
 %%PORTDOCS%%%%DOCSDIR%%/examples/ceil.csd
 %%PORTDOCS%%%%DOCSDIR%%/examples/cell.csd
 %%PORTDOCS%%%%DOCSDIR%%/examples/cent.csd
+%%PORTDOCS%%%%DOCSDIR%%/examples/centroid.csd
 %%PORTDOCS%%%%DOCSDIR%%/examples/cggoto.csd
 %%PORTDOCS%%%%DOCSDIR%%/examples/chanctrl.csd
 %%PORTDOCS%%%%DOCSDIR%%/examples/changed.csd
@@ -783,12 +797,16 @@ lib/libcsound64.so.5
 %%PORTDOCS%%%%DOCSDIR%%/examples/clockon.csd
 %%PORTDOCS%%%%DOCSDIR%%/examples/cngoto.csd
 %%PORTDOCS%%%%DOCSDIR%%/examples/comb.csd
+%%PORTDOCS%%%%DOCSDIR%%/examples/combinv.csd
 %%PORTDOCS%%%%DOCSDIR%%/examples/compress.csd
 %%PORTDOCS%%%%DOCSDIR%%/examples/connect.csd
 %%PORTDOCS%%%%DOCSDIR%%/examples/convolve.csd
 %%PORTDOCS%%%%DOCSDIR%%/examples/cos.csd
 %%PORTDOCS%%%%DOCSDIR%%/examples/cosh.csd
 %%PORTDOCS%%%%DOCSDIR%%/examples/cosinv.csd
+%%PORTDOCS%%%%DOCSDIR%%/examples/cosseg.csd
+%%PORTDOCS%%%%DOCSDIR%%/examples/cossegb.csd
+%%PORTDOCS%%%%DOCSDIR%%/examples/cossegr.csd
 %%PORTDOCS%%%%DOCSDIR%%/examples/cps2pch.csd
 %%PORTDOCS%%%%DOCSDIR%%/examples/cps2pch_19et.csd
 %%PORTDOCS%%%%DOCSDIR%%/examples/cps2pch_ftable.csd
@@ -865,6 +883,7 @@ lib/libcsound64.so.5
 %%PORTDOCS%%%%DOCSDIR%%/examples/duserrnd.csd
 %%PORTDOCS%%%%DOCSDIR%%/examples/dust.csd
 %%PORTDOCS%%%%DOCSDIR%%/examples/dust2.csd
+%%PORTDOCS%%%%DOCSDIR%%/examples/e.csd
 %%PORTDOCS%%%%DOCSDIR%%/examples/eee.aiff
 %%PORTDOCS%%%%DOCSDIR%%/examples/else.csd
 %%PORTDOCS%%%%DOCSDIR%%/examples/elseif.csd
@@ -891,6 +910,7 @@ lib/libcsound64.so.5
 %%PORTDOCS%%%%DOCSDIR%%/examples/expsegba.csd
 %%PORTDOCS%%%%DOCSDIR%%/examples/expsegr.csd
 %%PORTDOCS%%%%DOCSDIR%%/examples/farey7shuffled.csd
+%%PORTDOCS%%%%DOCSDIR%%/examples/fareyleni.csd
 %%PORTDOCS%%%%DOCSDIR%%/examples/fdl.txt
 %%PORTDOCS%%%%DOCSDIR%%/examples/fibonacci.txt
 %%PORTDOCS%%%%DOCSDIR%%/examples/ficlose.csd
@@ -992,13 +1012,16 @@ lib/libcsound64.so.5
 %%PORTDOCS%%%%DOCSDIR%%/examples/gen15.csd
 %%PORTDOCS%%%%DOCSDIR%%/examples/gen16.csd
 %%PORTDOCS%%%%DOCSDIR%%/examples/gen17.csd
+%%PORTDOCS%%%%DOCSDIR%%/examples/gen18.csd
 %%PORTDOCS%%%%DOCSDIR%%/examples/gen19.csd
 %%PORTDOCS%%%%DOCSDIR%%/examples/gen20.csd
 %%PORTDOCS%%%%DOCSDIR%%/examples/gen21.csd
+%%PORTDOCS%%%%DOCSDIR%%/examples/gen23.csd
 %%PORTDOCS%%%%DOCSDIR%%/examples/gen24.csd
 %%PORTDOCS%%%%DOCSDIR%%/examples/gen25.csd
 %%PORTDOCS%%%%DOCSDIR%%/examples/gen27.csd
 %%PORTDOCS%%%%DOCSDIR%%/examples/gen28.csd
+%%PORTDOCS%%%%DOCSDIR%%/examples/gen30.csd
 %%PORTDOCS%%%%DOCSDIR%%/examples/gen32.csd
 %%PORTDOCS%%%%DOCSDIR%%/examples/gen33.csd
 %%PORTDOCS%%%%DOCSDIR%%/examples/gen34.csd
@@ -1014,9 +1037,11 @@ lib/libcsound64.so.5
 %%PORTDOCS%%%%DOCSDIR%%/examples/gendyx-2.csd
 %%PORTDOCS%%%%DOCSDIR%%/examples/gendyx.csd
 %%PORTDOCS%%%%DOCSDIR%%/examples/genexp.csd
+%%PORTDOCS%%%%DOCSDIR%%/examples/genfarey-2.csd
 %%PORTDOCS%%%%DOCSDIR%%/examples/genfarey.csd
 %%PORTDOCS%%%%DOCSDIR%%/examples/gensone.csd
 %%PORTDOCS%%%%DOCSDIR%%/examples/gentanh.csd
+%%PORTDOCS%%%%DOCSDIR%%/examples/genwave.csd
 %%PORTDOCS%%%%DOCSDIR%%/examples/getcfg.csd
 %%PORTDOCS%%%%DOCSDIR%%/examples/gogobel.csd
 %%PORTDOCS%%%%DOCSDIR%%/examples/goto.csd
@@ -1028,6 +1053,7 @@ lib/libcsound64.so.5
 %%PORTDOCS%%%%DOCSDIR%%/examples/greaterthan.csd
 %%PORTDOCS%%%%DOCSDIR%%/examples/guiro.csd
 %%PORTDOCS%%%%DOCSDIR%%/examples/harmon.csd
+%%PORTDOCS%%%%DOCSDIR%%/examples/harmon3.csd
 %%PORTDOCS%%%%DOCSDIR%%/examples/hilbert.csd
 %%PORTDOCS%%%%DOCSDIR%%/examples/hilbert_barberpole.csd
 %%PORTDOCS%%%%DOCSDIR%%/examples/hrtfearly.csd
@@ -1041,6 +1067,7 @@ lib/libcsound64.so.5
 %%PORTDOCS%%%%DOCSDIR%%/examples/hvs1.csd
 %%PORTDOCS%%%%DOCSDIR%%/examples/hvs2-2.csd
 %%PORTDOCS%%%%DOCSDIR%%/examples/hvs2.csd
+%%PORTDOCS%%%%DOCSDIR%%/examples/i_statement.csd
 %%PORTDOCS%%%%DOCSDIR%%/examples/ifthen.csd
 %%PORTDOCS%%%%DOCSDIR%%/examples/igoto.csd
 %%PORTDOCS%%%%DOCSDIR%%/examples/ihold.csd
@@ -1062,10 +1089,13 @@ lib/libcsound64.so.5
 %%PORTDOCS%%%%DOCSDIR%%/examples/int.csd
 %%PORTDOCS%%%%DOCSDIR%%/examples/integ.csd
 %%PORTDOCS%%%%DOCSDIR%%/examples/interp.csd
+%%PORTDOCS%%%%DOCSDIR%%/examples/invalue.csd
 %%PORTDOCS%%%%DOCSDIR%%/examples/jacko.csd
 %%PORTDOCS%%%%DOCSDIR%%/examples/jacktransport.csd
 %%PORTDOCS%%%%DOCSDIR%%/examples/jitter.csd
 %%PORTDOCS%%%%DOCSDIR%%/examples/jitter2.csd
+%%PORTDOCS%%%%DOCSDIR%%/examples/joystick-2.csd
+%%PORTDOCS%%%%DOCSDIR%%/examples/joystick.csd
 %%PORTDOCS%%%%DOCSDIR%%/examples/jspline.csd
 %%PORTDOCS%%%%DOCSDIR%%/examples/kgoto.csd
 %%PORTDOCS%%%%DOCSDIR%%/examples/kickroll.het
@@ -1089,8 +1119,10 @@ lib/libcsound64.so.5
 %%PORTDOCS%%%%DOCSDIR%%/examples/locsig_stereo.csd
 %%PORTDOCS%%%%DOCSDIR%%/examples/log.csd
 %%PORTDOCS%%%%DOCSDIR%%/examples/log10.csd
+%%PORTDOCS%%%%DOCSDIR%%/examples/log2.csd
 %%PORTDOCS%%%%DOCSDIR%%/examples/logbtwo.csd
 %%PORTDOCS%%%%DOCSDIR%%/examples/logcurve.csd
+%%PORTDOCS%%%%DOCSDIR%%/examples/logicOR.csd
 %%PORTDOCS%%%%DOCSDIR%%/examples/loop_le.csd
 %%PORTDOCS%%%%DOCSDIR%%/examples/loop_lt.csd
 %%PORTDOCS%%%%DOCSDIR%%/examples/loopseg.csd
@@ -1120,7 +1152,9 @@ lib/libcsound64.so.5
 %%PORTDOCS%%%%DOCSDIR%%/examples/lpshold.csd
 %%PORTDOCS%%%%DOCSDIR%%/examples/luamoog.csd
 %%PORTDOCS%%%%DOCSDIR%%/examples/luaopcode.csd
+%%PORTDOCS%%%%DOCSDIR%%/examples/m.csd
 %%PORTDOCS%%%%DOCSDIR%%/examples/mac.csd
+%%PORTDOCS%%%%DOCSDIR%%/examples/maca.csd
 %%PORTDOCS%%%%DOCSDIR%%/examples/madsr-2.csd
 %%PORTDOCS%%%%DOCSDIR%%/examples/madsr.csd
 %%PORTDOCS%%%%DOCSDIR%%/examples/makecsd.py
@@ -1134,6 +1168,8 @@ lib/libcsound64.so.5
 %%PORTDOCS%%%%DOCSDIR%%/examples/max.csd
 %%PORTDOCS%%%%DOCSDIR%%/examples/max_k.csd
 %%PORTDOCS%%%%DOCSDIR%%/examples/maxabs.csd
+%%PORTDOCS%%%%DOCSDIR%%/examples/maxabsaccum.csd
+%%PORTDOCS%%%%DOCSDIR%%/examples/maxaccum.csd
 %%PORTDOCS%%%%DOCSDIR%%/examples/maxalloc.csd
 %%PORTDOCS%%%%DOCSDIR%%/examples/maxtab.csd
 %%PORTDOCS%%%%DOCSDIR%%/examples/mclock.csd
@@ -1150,6 +1186,7 @@ lib/libcsound64.so.5
 %%PORTDOCS%%%%DOCSDIR%%/examples/midichn_advanced.mid
 %%PORTDOCS%%%%DOCSDIR%%/examples/midicontrolchange.csd
 %%PORTDOCS%%%%DOCSDIR%%/examples/midictrl.csd
+%%PORTDOCS%%%%DOCSDIR%%/examples/mididefault.csd
 %%PORTDOCS%%%%DOCSDIR%%/examples/midiin.csd
 %%PORTDOCS%%%%DOCSDIR%%/examples/midinoteoff.csd
 %%PORTDOCS%%%%DOCSDIR%%/examples/midinoteoncps.csd
@@ -1161,10 +1198,14 @@ lib/libcsound64.so.5
 %%PORTDOCS%%%%DOCSDIR%%/examples/midion_simple.csd
 %%PORTDOCS%%%%DOCSDIR%%/examples/midiout.csd
 %%PORTDOCS%%%%DOCSDIR%%/examples/midipitchbend.csd
+%%PORTDOCS%%%%DOCSDIR%%/examples/midipolyaftertouch.csd
+%%PORTDOCS%%%%DOCSDIR%%/examples/midiprogramchange.csd
 %%PORTDOCS%%%%DOCSDIR%%/examples/miditempo.csd
 %%PORTDOCS%%%%DOCSDIR%%/examples/midremot.csd
 %%PORTDOCS%%%%DOCSDIR%%/examples/min.csd
 %%PORTDOCS%%%%DOCSDIR%%/examples/minabs.csd
+%%PORTDOCS%%%%DOCSDIR%%/examples/minabsaccum.csd
+%%PORTDOCS%%%%DOCSDIR%%/examples/minaccum.csd
 %%PORTDOCS%%%%DOCSDIR%%/examples/mincer.csd
 %%PORTDOCS%%%%DOCSDIR%%/examples/mintab.csd
 %%PORTDOCS%%%%DOCSDIR%%/examples/mirror.csd
@@ -1191,6 +1232,7 @@ lib/libcsound64.so.5
 %%PORTDOCS%%%%DOCSDIR%%/examples/nchnls_i.csd
 %%PORTDOCS%%%%DOCSDIR%%/examples/nestedap.csd
 %%PORTDOCS%%%%DOCSDIR%%/examples/nlfilt.csd
+%%PORTDOCS%%%%DOCSDIR%%/examples/nlfilt2.csd
 %%PORTDOCS%%%%DOCSDIR%%/examples/noise-2.csd
 %%PORTDOCS%%%%DOCSDIR%%/examples/noise.csd
 %%PORTDOCS%%%%DOCSDIR%%/examples/noteondur.csd
@@ -1210,6 +1252,7 @@ lib/libcsound64.so.5
 %%PORTDOCS%%%%DOCSDIR%%/examples/octpch.csd
 %%PORTDOCS%%%%DOCSDIR%%/examples/ooo.aiff
 %%PORTDOCS%%%%DOCSDIR%%/examples/opa.csd
+%%PORTDOCS%%%%DOCSDIR%%/examples/opand.csd
 %%PORTDOCS%%%%DOCSDIR%%/examples/opcode1.xml
 %%PORTDOCS%%%%DOCSDIR%%/examples/opcode_example.csd
 %%PORTDOCS%%%%DOCSDIR%%/examples/oscbnk.csd
@@ -1243,9 +1286,11 @@ lib/libcsound64.so.5
 %%PORTDOCS%%%%DOCSDIR%%/examples/outq2.csd
 %%PORTDOCS%%%%DOCSDIR%%/examples/outq3.csd
 %%PORTDOCS%%%%DOCSDIR%%/examples/outq4.csd
+%%PORTDOCS%%%%DOCSDIR%%/examples/outrg.csd
 %%PORTDOCS%%%%DOCSDIR%%/examples/outs.csd
 %%PORTDOCS%%%%DOCSDIR%%/examples/outs1.csd
 %%PORTDOCS%%%%DOCSDIR%%/examples/outs2.csd
+%%PORTDOCS%%%%DOCSDIR%%/examples/outvalue.csd
 %%PORTDOCS%%%%DOCSDIR%%/examples/p.csd
 %%PORTDOCS%%%%DOCSDIR%%/examples/p5g.csd
 %%PORTDOCS%%%%DOCSDIR%%/examples/pan.csd
@@ -1282,6 +1327,8 @@ lib/libcsound64.so.5
 %%PORTDOCS%%%%DOCSDIR%%/examples/pitch.csd
 %%PORTDOCS%%%%DOCSDIR%%/examples/pitchamdf.csd
 %%PORTDOCS%%%%DOCSDIR%%/examples/planet.csd
+%%PORTDOCS%%%%DOCSDIR%%/examples/plate.csd
+%%PORTDOCS%%%%DOCSDIR%%/examples/plltrack.csd
 %%PORTDOCS%%%%DOCSDIR%%/examples/pluck.csd
 %%PORTDOCS%%%%DOCSDIR%%/examples/plustab.csd
 %%PORTDOCS%%%%DOCSDIR%%/examples/poisson.csd
@@ -1312,6 +1359,7 @@ lib/libcsound64.so.5
 %%PORTDOCS%%%%DOCSDIR%%/examples/ptablei.csd
 %%PORTDOCS%%%%DOCSDIR%%/examples/ptrack.csd
 %%PORTDOCS%%%%DOCSDIR%%/examples/push.csd
+%%PORTDOCS%%%%DOCSDIR%%/examples/puts.csd
 %%PORTDOCS%%%%DOCSDIR%%/examples/pvadd.csd
 %%PORTDOCS%%%%DOCSDIR%%/examples/pvbufread.csd
 %%PORTDOCS%%%%DOCSDIR%%/examples/pvcross.csd
@@ -1356,6 +1404,8 @@ lib/libcsound64.so.5
 %%PORTDOCS%%%%DOCSDIR%%/examples/pvsvoc.csd
 %%PORTDOCS%%%%DOCSDIR%%/examples/pvswarp.csd
 %%PORTDOCS%%%%DOCSDIR%%/examples/pvsynth.csd
+%%PORTDOCS%%%%DOCSDIR%%/examples/pwd.csd
+%%PORTDOCS%%%%DOCSDIR%%/examples/q.csd
 %%PORTDOCS%%%%DOCSDIR%%/examples/qinf.csd
 %%PORTDOCS%%%%DOCSDIR%%/examples/qnan.csd
 %%PORTDOCS%%%%DOCSDIR%%/examples/r.csd
@@ -1368,6 +1418,8 @@ lib/libcsound64.so.5
 %%PORTDOCS%%%%DOCSDIR%%/examples/randomi.csd
 %%PORTDOCS%%%%DOCSDIR%%/examples/rbjeq.csd
 %%PORTDOCS%%%%DOCSDIR%%/examples/readclock.csd
+%%PORTDOCS%%%%DOCSDIR%%/examples/readf.csd
+%%PORTDOCS%%%%DOCSDIR%%/examples/readfi.csd
 %%PORTDOCS%%%%DOCSDIR%%/examples/readk-2.csd
 %%PORTDOCS%%%%DOCSDIR%%/examples/readk.csd
 %%PORTDOCS%%%%DOCSDIR%%/examples/readk2.csd
@@ -1385,6 +1437,7 @@ lib/libcsound64.so.5
 %%PORTDOCS%%%%DOCSDIR%%/examples/resyn.csd
 %%PORTDOCS%%%%DOCSDIR%%/examples/reverb.csd
 %%PORTDOCS%%%%DOCSDIR%%/examples/reverbsc.csd
+%%PORTDOCS%%%%DOCSDIR%%/examples/rewindscore.csd
 %%PORTDOCS%%%%DOCSDIR%%/examples/rezzy.csd
 %%PORTDOCS%%%%DOCSDIR%%/examples/rms.csd
 %%PORTDOCS%%%%DOCSDIR%%/examples/rnd.csd
@@ -1397,6 +1450,7 @@ lib/libcsound64.so.5
 %%PORTDOCS%%%%DOCSDIR%%/examples/rtclock.csd
 %%PORTDOCS%%%%DOCSDIR%%/examples/rv_mono.wav
 %%PORTDOCS%%%%DOCSDIR%%/examples/rv_stereo.wav
+%%PORTDOCS%%%%DOCSDIR%%/examples/s.csd
 %%PORTDOCS%%%%DOCSDIR%%/examples/samphold.csd
 %%PORTDOCS%%%%DOCSDIR%%/examples/sandpaper.csd
 %%PORTDOCS%%%%DOCSDIR%%/examples/scale.csd
@@ -1418,6 +1472,9 @@ lib/libcsound64.so.5
 %%PORTDOCS%%%%DOCSDIR%%/examples/sensekey.csd
 %%PORTDOCS%%%%DOCSDIR%%/examples/seqtime.csd
 %%PORTDOCS%%%%DOCSDIR%%/examples/seqtime2.csd
+%%PORTDOCS%%%%DOCSDIR%%/examples/serialBegin.csd
+%%PORTDOCS%%%%DOCSDIR%%/examples/serialRead.csd
+%%PORTDOCS%%%%DOCSDIR%%/examples/serialWrite.csd
 %%PORTDOCS%%%%DOCSDIR%%/examples/setctrl.csd
 %%PORTDOCS%%%%DOCSDIR%%/examples/setscorepos.csd
 %%PORTDOCS%%%%DOCSDIR%%/examples/sfilist.csd
@@ -1451,6 +1508,7 @@ lib/libcsound64.so.5
 %%PORTDOCS%%%%DOCSDIR%%/examples/spat3d_stereo.csd
 %%PORTDOCS%%%%DOCSDIR%%/examples/spat3dt.csd
 %%PORTDOCS%%%%DOCSDIR%%/examples/spdist.csd
+%%PORTDOCS%%%%DOCSDIR%%/examples/spectrum.txt
 %%PORTDOCS%%%%DOCSDIR%%/examples/sprintf.csd
 %%PORTDOCS%%%%DOCSDIR%%/examples/sprintfk.csd
 %%PORTDOCS%%%%DOCSDIR%%/examples/spsend.csd
@@ -1463,11 +1521,15 @@ lib/libcsound64.so.5
 %%PORTDOCS%%%%DOCSDIR%%/examples/statvar.csd
 %%PORTDOCS%%%%DOCSDIR%%/examples/stix.csd
 %%PORTDOCS%%%%DOCSDIR%%/examples/strcat.csd
+%%PORTDOCS%%%%DOCSDIR%%/examples/strcatk.csd
+%%PORTDOCS%%%%DOCSDIR%%/examples/strcmp.csd
 %%PORTDOCS%%%%DOCSDIR%%/examples/strcpyk.csd
 %%PORTDOCS%%%%DOCSDIR%%/examples/streson.csd
 %%PORTDOCS%%%%DOCSDIR%%/examples/strget.csd
 %%PORTDOCS%%%%DOCSDIR%%/examples/strindexk.csd
 %%PORTDOCS%%%%DOCSDIR%%/examples/string-128.matrix
+%%PORTDOCS%%%%DOCSDIR%%/examples/strlower.csd
+%%PORTDOCS%%%%DOCSDIR%%/examples/strrindex.csd
 %%PORTDOCS%%%%DOCSDIR%%/examples/strset.csd
 %%PORTDOCS%%%%DOCSDIR%%/examples/strsub.csd
 %%PORTDOCS%%%%DOCSDIR%%/examples/subinstr.csd
@@ -1476,25 +1538,33 @@ lib/libcsound64.so.5
 %%PORTDOCS%%%%DOCSDIR%%/examples/sum.csd
 %%PORTDOCS%%%%DOCSDIR%%/examples/sumtab.csd
 %%PORTDOCS%%%%DOCSDIR%%/examples/svfilter.csd
+%%PORTDOCS%%%%DOCSDIR%%/examples/sym10.txt
 %%PORTDOCS%%%%DOCSDIR%%/examples/syncgrain.csd
 %%PORTDOCS%%%%DOCSDIR%%/examples/syncloop.csd
 %%PORTDOCS%%%%DOCSDIR%%/examples/syncphasor-CZresonance.csd
 %%PORTDOCS%%%%DOCSDIR%%/examples/syncphasor.csd
 %%PORTDOCS%%%%DOCSDIR%%/examples/system.csd
+%%PORTDOCS%%%%DOCSDIR%%/examples/t.csd
 %%PORTDOCS%%%%DOCSDIR%%/examples/tab.csd
 %%PORTDOCS%%%%DOCSDIR%%/examples/table.csd
 %%PORTDOCS%%%%DOCSDIR%%/examples/table1.inc
+%%PORTDOCS%%%%DOCSDIR%%/examples/tablecopy.csd
 %%PORTDOCS%%%%DOCSDIR%%/examples/tablefilter.csd
 %%PORTDOCS%%%%DOCSDIR%%/examples/tablei.csd
+%%PORTDOCS%%%%DOCSDIR%%/examples/tableikt.csd
 %%PORTDOCS%%%%DOCSDIR%%/examples/tableimix.csd
 %%PORTDOCS%%%%DOCSDIR%%/examples/tableiw.csd
+%%PORTDOCS%%%%DOCSDIR%%/examples/tablekt.csd
 %%PORTDOCS%%%%DOCSDIR%%/examples/tablemix.csd
 %%PORTDOCS%%%%DOCSDIR%%/examples/tableng.csd
 %%PORTDOCS%%%%DOCSDIR%%/examples/tableseg.csd
 %%PORTDOCS%%%%DOCSDIR%%/examples/tablexkt.csd
 %%PORTDOCS%%%%DOCSDIR%%/examples/tablexseg.csd
+%%PORTDOCS%%%%DOCSDIR%%/examples/tabmorph.csd
 %%PORTDOCS%%%%DOCSDIR%%/examples/tabmorpha.csd
 %%PORTDOCS%%%%DOCSDIR%%/examples/tabmorphak.csd
+%%PORTDOCS%%%%DOCSDIR%%/examples/tabmorphi.csd
+%%PORTDOCS%%%%DOCSDIR%%/examples/tabsum.csd
 %%PORTDOCS%%%%DOCSDIR%%/examples/tambourine.csd
 %%PORTDOCS%%%%DOCSDIR%%/examples/tan.csd
 %%PORTDOCS%%%%DOCSDIR%%/examples/tanh.csd
@@ -1554,6 +1624,7 @@ lib/libcsound64.so.5
 %%PORTDOCS%%%%DOCSDIR%%/examples/urandom.csd
 %%PORTDOCS%%%%DOCSDIR%%/examples/urandom_krate.csd
 %%PORTDOCS%%%%DOCSDIR%%/examples/urd.csd
+%%PORTDOCS%%%%DOCSDIR%%/examples/v.csd
 %%PORTDOCS%%%%DOCSDIR%%/examples/vadd.csd
 %%PORTDOCS%%%%DOCSDIR%%/examples/vadd_i.csd
 %%PORTDOCS%%%%DOCSDIR%%/examples/vaddv.csd
@@ -1561,11 +1632,14 @@ lib/libcsound64.so.5
 %%PORTDOCS%%%%DOCSDIR%%/examples/valpass-2.csd
 %%PORTDOCS%%%%DOCSDIR%%/examples/valpass.csd
 %%PORTDOCS%%%%DOCSDIR%%/examples/vaset.csd
+%%PORTDOCS%%%%DOCSDIR%%/examples/vbap.csd
 %%PORTDOCS%%%%DOCSDIR%%/examples/vbap4.csd
 %%PORTDOCS%%%%DOCSDIR%%/examples/vbap4move.csd
 %%PORTDOCS%%%%DOCSDIR%%/examples/vbap8.csd
 %%PORTDOCS%%%%DOCSDIR%%/examples/vbap8move.csd
+%%PORTDOCS%%%%DOCSDIR%%/examples/vbapg.csd
 %%PORTDOCS%%%%DOCSDIR%%/examples/vbaplsinit.csd
+%%PORTDOCS%%%%DOCSDIR%%/examples/vbapmove.csd
 %%PORTDOCS%%%%DOCSDIR%%/examples/vcella.csd
 %%PORTDOCS%%%%DOCSDIR%%/examples/vco.csd
 %%PORTDOCS%%%%DOCSDIR%%/examples/vco2.csd
@@ -1603,7 +1677,9 @@ lib/libcsound64.so.5
 %%PORTDOCS%%%%DOCSDIR%%/examples/vmultv.csd
 %%PORTDOCS%%%%DOCSDIR%%/examples/voice.csd
 %%PORTDOCS%%%%DOCSDIR%%/examples/vosim.csd
+%%PORTDOCS%%%%DOCSDIR%%/examples/vpow-2.csd
 %%PORTDOCS%%%%DOCSDIR%%/examples/vpow.csd
+%%PORTDOCS%%%%DOCSDIR%%/examples/vpow_i-2.csd
 %%PORTDOCS%%%%DOCSDIR%%/examples/vpow_i.csd
 %%PORTDOCS%%%%DOCSDIR%%/examples/vpowv.csd
 %%PORTDOCS%%%%DOCSDIR%%/examples/vpvoc.csd
@@ -1631,6 +1707,7 @@ lib/libcsound64.so.5
 %%PORTDOCS%%%%DOCSDIR%%/examples/wii.csd
 %%PORTDOCS%%%%DOCSDIR%%/examples/wrap.csd
 %%PORTDOCS%%%%DOCSDIR%%/examples/wterrain.csd
+%%PORTDOCS%%%%DOCSDIR%%/examples/x.csd
 %%PORTDOCS%%%%DOCSDIR%%/examples/xadsr.csd
 %%PORTDOCS%%%%DOCSDIR%%/examples/xscanmap.csd
 %%PORTDOCS%%%%DOCSDIR%%/examples/xscans.csd
@@ -1887,6 +1964,10 @@ lib/libcsound64.so.5
 %%PORTDOCS%%%%DOCSDIR%%/images/gen13_6.png
 %%PORTDOCS%%%%DOCSDIR%%/images/gen13_7.png
 %%PORTDOCS%%%%DOCSDIR%%/images/gen14.png
+%%PORTDOCS%%%%DOCSDIR%%/images/gen14_1.png
+%%PORTDOCS%%%%DOCSDIR%%/images/gen14_2.png
+%%PORTDOCS%%%%DOCSDIR%%/images/gen14_3.png
+%%PORTDOCS%%%%DOCSDIR%%/images/gen14_4.png
 %%PORTDOCS%%%%DOCSDIR%%/images/gen15-1.png
 %%PORTDOCS%%%%DOCSDIR%%/images/gen15-2.png
 %%PORTDOCS%%%%DOCSDIR%%/images/gen15-3.png
@@ -1894,6 +1975,9 @@ lib/libcsound64.so.5
 %%PORTDOCS%%%%DOCSDIR%%/images/gen15-5.png
 %%PORTDOCS%%%%DOCSDIR%%/images/gen16_types.png
 %%PORTDOCS%%%%DOCSDIR%%/images/gen17.png
+%%PORTDOCS%%%%DOCSDIR%%/images/gen18_1.png
+%%PORTDOCS%%%%DOCSDIR%%/images/gen18_2.png
+%%PORTDOCS%%%%DOCSDIR%%/images/gen18_3.png
 %%PORTDOCS%%%%DOCSDIR%%/images/gen19.png
 %%PORTDOCS%%%%DOCSDIR%%/images/gen19_1.png
 %%PORTDOCS%%%%DOCSDIR%%/images/gen20_1.png
@@ -1903,6 +1987,7 @@ lib/libcsound64.so.5
 %%PORTDOCS%%%%DOCSDIR%%/images/gen21_3.png
 %%PORTDOCS%%%%DOCSDIR%%/images/gen21_4.png
 %%PORTDOCS%%%%DOCSDIR%%/images/gen21_5.png
+%%PORTDOCS%%%%DOCSDIR%%/images/gen23.png
 %%PORTDOCS%%%%DOCSDIR%%/images/gen25.png
 %%PORTDOCS%%%%DOCSDIR%%/images/gen27.png
 %%PORTDOCS%%%%DOCSDIR%%/images/gen33.png
@@ -1917,7 +2002,14 @@ lib/libcsound64.so.5
 %%PORTDOCS%%%%DOCSDIR%%/images/gen52.png
 %%PORTDOCS%%%%DOCSDIR%%/images/gendy.png
 %%PORTDOCS%%%%DOCSDIR%%/images/gendyx.png
+%%PORTDOCS%%%%DOCSDIR%%/images/genexp_1.png
+%%PORTDOCS%%%%DOCSDIR%%/images/genexp_2.png
+%%PORTDOCS%%%%DOCSDIR%%/images/genfarey-2_1.png
+%%PORTDOCS%%%%DOCSDIR%%/images/genfarey-2_2.png
 %%PORTDOCS%%%%DOCSDIR%%/images/gensone.png
+%%PORTDOCS%%%%DOCSDIR%%/images/gentanh_1.png
+%%PORTDOCS%%%%DOCSDIR%%/images/gentanh_2.png
+%%PORTDOCS%%%%DOCSDIR%%/images/gentanh_3.png
 %%PORTDOCS%%%%DOCSDIR%%/images/grain2_rand-448x289.png
 %%PORTDOCS%%%%DOCSDIR%%/images/grain3_2.png
 %%PORTDOCS%%%%DOCSDIR%%/images/image1.png
@@ -2015,6 +2107,7 @@ lib/libcsound64.so.5
 %%PORTDOCS%%%%DOCSDIR%%/jacktransport.html
 %%PORTDOCS%%%%DOCSDIR%%/jitter.html
 %%PORTDOCS%%%%DOCSDIR%%/jitter2.html
+%%PORTDOCS%%%%DOCSDIR%%/joystick.html
 %%PORTDOCS%%%%DOCSDIR%%/jspline.html
 %%PORTDOCS%%%%DOCSDIR%%/kbetarand.html
 %%PORTDOCS%%%%DOCSDIR%%/kbexprnd.html
@@ -2066,6 +2159,7 @@ lib/libcsound64.so.5
 %%PORTDOCS%%%%DOCSDIR%%/locsig.html
 %%PORTDOCS%%%%DOCSDIR%%/log.html
 %%PORTDOCS%%%%DOCSDIR%%/log10.html
+%%PORTDOCS%%%%DOCSDIR%%/log2.html
 %%PORTDOCS%%%%DOCSDIR%%/logbtwo.html
 %%PORTDOCS%%%%DOCSDIR%%/logcurve.html
 %%PORTDOCS%%%%DOCSDIR%%/loop_ge.html
@@ -2182,6 +2276,7 @@ lib/libcsound64.so.5
 %%PORTDOCS%%%%DOCSDIR%%/nchnls_i.html
 %%PORTDOCS%%%%DOCSDIR%%/nestedap.html
 %%PORTDOCS%%%%DOCSDIR%%/nlfilt.html
+%%PORTDOCS%%%%DOCSDIR%%/nlfilt2.html
 %%PORTDOCS%%%%DOCSDIR%%/noise.html
 %%PORTDOCS%%%%DOCSDIR%%/noteoff.html
 %%PORTDOCS%%%%DOCSDIR%%/noteon.html
@@ -2291,6 +2386,8 @@ lib/libcsound64.so.5
 %%PORTDOCS%%%%DOCSDIR%%/pitch.html
 %%PORTDOCS%%%%DOCSDIR%%/pitchamdf.html
 %%PORTDOCS%%%%DOCSDIR%%/planet.html
+%%PORTDOCS%%%%DOCSDIR%%/platerev.html
+%%PORTDOCS%%%%DOCSDIR%%/plltrack.html
 %%PORTDOCS%%%%DOCSDIR%%/pluck.html
 %%PORTDOCS%%%%DOCSDIR%%/plustab.html
 %%PORTDOCS%%%%DOCSDIR%%/poisson.html
@@ -2376,6 +2473,7 @@ lib/libcsound64.so.5
 %%PORTDOCS%%%%DOCSDIR%%/pvsvoc.html
 %%PORTDOCS%%%%DOCSDIR%%/pvswarp.html
 %%PORTDOCS%%%%DOCSDIR%%/pvsynth.html
+%%PORTDOCS%%%%DOCSDIR%%/pwd.html
 %%PORTDOCS%%%%DOCSDIR%%/py.html
 %%PORTDOCS%%%%DOCSDIR%%/pyassign.html
 %%PORTDOCS%%%%DOCSDIR%%/pycall.html
@@ -2396,6 +2494,8 @@ lib/libcsound64.so.5
 %%PORTDOCS%%%%DOCSDIR%%/randomi.html
 %%PORTDOCS%%%%DOCSDIR%%/rbjeq.html
 %%PORTDOCS%%%%DOCSDIR%%/readclock.html
+%%PORTDOCS%%%%DOCSDIR%%/readf.html
+%%PORTDOCS%%%%DOCSDIR%%/readfi.html
 %%PORTDOCS%%%%DOCSDIR%%/readk.html
 %%PORTDOCS%%%%DOCSDIR%%/readk2.html
 %%PORTDOCS%%%%DOCSDIR%%/readk3.html
@@ -2666,13 +2766,16 @@ lib/libcsound64.so.5
 %%PORTDOCS%%%%DOCSDIR%%/vaget.html
 %%PORTDOCS%%%%DOCSDIR%%/valpass.html
 %%PORTDOCS%%%%DOCSDIR%%/vaset.html
+%%PORTDOCS%%%%DOCSDIR%%/vbap.html
 %%PORTDOCS%%%%DOCSDIR%%/vbap16.html
 %%PORTDOCS%%%%DOCSDIR%%/vbap16move.html
 %%PORTDOCS%%%%DOCSDIR%%/vbap4.html
 %%PORTDOCS%%%%DOCSDIR%%/vbap4move.html
 %%PORTDOCS%%%%DOCSDIR%%/vbap8.html
 %%PORTDOCS%%%%DOCSDIR%%/vbap8move.html
+%%PORTDOCS%%%%DOCSDIR%%/vbapg.html
 %%PORTDOCS%%%%DOCSDIR%%/vbaplsinit.html
+%%PORTDOCS%%%%DOCSDIR%%/vbapmove.html
 %%PORTDOCS%%%%DOCSDIR%%/vbapz.html
 %%PORTDOCS%%%%DOCSDIR%%/vbapzmove.html
 %%PORTDOCS%%%%DOCSDIR%%/vcella.html
@@ -2801,61 +2904,6 @@ lib/libcsound64.so.5
 %%PORTDOCS%%%%DOCSDIR%%/zkr.html
 %%PORTDOCS%%%%DOCSDIR%%/zkw.html
 %%PORTDOCS%%%%DOCSDIR%%/zkwm.html
-%%PORTDOCS%%%%DOCSDIR%%/platerev.html
-%%PORTDOCS%%%%DOCSDIR%%/cosseg.html
-%%PORTDOCS%%%%DOCSDIR%%/images/gen18_2.png
-%%PORTDOCS%%%%DOCSDIR%%/images/gentanh_3.png
-%%PORTDOCS%%%%DOCSDIR%%/images/gen14_3.png
-%%PORTDOCS%%%%DOCSDIR%%/images/gentanh_1.png
-%%PORTDOCS%%%%DOCSDIR%%/images/gen14_4.png
-%%PORTDOCS%%%%DOCSDIR%%/images/gen14_2.png
-%%PORTDOCS%%%%DOCSDIR%%/images/genexp_2.png
-%%PORTDOCS%%%%DOCSDIR%%/images/gen18_1.png
-%%PORTDOCS%%%%DOCSDIR%%/images/gen18_3.png
-%%PORTDOCS%%%%DOCSDIR%%/images/gentanh_2.png
-%%PORTDOCS%%%%DOCSDIR%%/images/gen14_1.png
-%%PORTDOCS%%%%DOCSDIR%%/images/gen23.png
-%%PORTDOCS%%%%DOCSDIR%%/images/genexp_1.png
-%%PORTDOCS%%%%DOCSDIR%%/log2.html
-%%PORTDOCS%%%%DOCSDIR%%/vbapg.html
-%%PORTDOCS%%%%DOCSDIR%%/examples/logicOR.csd
-%%PORTDOCS%%%%DOCSDIR%%/examples/Mixer.csd
-%%PORTDOCS%%%%DOCSDIR%%/examples/genwave.csd
-%%PORTDOCS%%%%DOCSDIR%%/examples/cossegb.csd
-%%PORTDOCS%%%%DOCSDIR%%/examples/cossegr.csd
-%%PORTDOCS%%%%DOCSDIR%%/examples/spectrum.txt
-%%PORTDOCS%%%%DOCSDIR%%/examples/plate.csd
-%%PORTDOCS%%%%DOCSDIR%%/examples/log2.csd
-%%PORTDOCS%%%%DOCSDIR%%/examples/readf.csd
-%%PORTDOCS%%%%DOCSDIR%%/examples/readfi.csd
-%%PORTDOCS%%%%DOCSDIR%%/examples/pwd.csd
-%%PORTDOCS%%%%DOCSDIR%%/examples/maxaccum.csd
-%%PORTDOCS%%%%DOCSDIR%%/examples/midipolyaftertouch.csd
-%%PORTDOCS%%%%DOCSDIR%%/examples/sym10.txt

*** DIFF OUTPUT TRUNCATED AT 1000 LINES ***
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 4 Danilo Egea Gondolfo freebsd_committer 2014-01-23 23:11:29 UTC
State Changed
From-To: open->closed

Committed, with minor changes. Thanks!